Bug 210081 - games/imaze: Unbreak fetch, modernize
Summary: games/imaze: Unbreak fetch, modernize
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-06-06 23:28 UTC by lightside
Modified: 2016-06-17 08:22 UTC (History)
1 user (show)

See Also:


Attachments
Proposed patch (since 416324 revision) (4.25 KB, patch)
2016-06-06 23:28 UTC, lightside
vlad-fbsd: maintainer-approval+
Details | Diff
The poudriere testport log (FreeBSD 10.2 amd64, with default options) (55.68 KB, text/plain)
2016-06-06 23:29 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10.2 amd64, with MOTIF=on) (58.29 KB, text/plain)
2016-06-06 23:30 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10.2 i386, with XVIEW=on) (54.86 KB, text/plain)
2016-06-06 23:31 UTC, lightside
no flags Details
Proposed patch (since 416324 revision) without regenerated patches (1.93 KB, patch)
2016-06-13 17:14 UTC, lightside
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2016-06-06 23:28:22 UTC
Created attachment 171109 [details]
Proposed patch (since 416324 revision)

Patch to unbreak and modernize games/imaze port.

- Bump PORTREVISION
- Unbreak fetch
- Add ATHENA option and set it by default, instead of XVIEW
- Convert GUI's options from RADIO to SINGLE
- Switch to options helpers
- Add MOTIFLIB define with proper value to fix linkage
- Add xmu to USE_XORG
- Regenerate patches

The proposed ATHENA option allows to differentiate between MOTIF and XVIEW options (while they also use Xaw library), because they define TOOLKIT variable, with the same meaning as the previous approach.
The ATHENA option defined by default, because it allows to build on 64-bit platforms, unlike the XVIEW option.

Actually, the port uses files/patch-source_Makefile.in patch, which replaces "MotifLibs=-lXm -lXt" with "MotifLibs=${MOTIFLIB}", but USES+=motif defines MOTFILIB?="-L${LOCALBASE}/lib -lXm -lXp", where "-lXt" needed instead of "-lXp". Therefore, either value of MOTFILIB could be fixed for Mk/Uses/motif.mk file, or I just defined it to proper value with "-lXt".

The distfile is fetchable:
% curl -sLI http://www.sourcefiles.org/Games/Arcade/imaze-1.4.tar.gz
HTTP/1.1 200 OK
Date: Mon, 06 Jun 2016 16:14:00 GMT
Server: Apache/2.2.3 (Fedora)
Last-Modified: Sun, 18 Mar 2007 02:00:00 GMT
ETag: "920ab-9e9e9-d4898800"
Accept-Ranges: bytes
Content-Length: 649705
Connection: close
Content-Type: application/x-gzip
Comment 1 lightside 2016-06-06 23:29:29 UTC
Created attachment 171110 [details]
The poudriere testport log (FreeBSD 10.2 amd64, with default options)
Comment 2 lightside 2016-06-06 23:30:35 UTC
Created attachment 171111 [details]
The poudriere testport log (FreeBSD 10.2 amd64, with MOTIF=on)
Comment 3 lightside 2016-06-06 23:31:23 UTC
Created attachment 171112 [details]
The poudriere testport log (FreeBSD 10.2 i386, with XVIEW=on)
Comment 4 lightside 2016-06-07 02:15:54 UTC
Possible to move MOTIFLIB define to global space. I configured it for MOTIF option, but this is not mandatory.
Comment 5 VK freebsd_triage 2016-06-07 10:58:05 UTC
Cleaning up summary in favor of keywords.
Comment 6 VK freebsd_triage 2016-06-07 10:59:37 UTC
Comment on attachment 171109 [details]
Proposed patch (since 416324 revision)

Implicit approval, the port has no maintainer.
Comment 7 Torsten Zuehlsdorff freebsd_committer 2016-06-13 15:25:29 UTC
Hello lightside,

thanks for the patch! Since the patches did not change at all, can you please provide a diff without them? I started the testbuilds a moment ago without the patches and will let them run over night.

Greetings,
Torsten
Comment 8 lightside 2016-06-13 17:14:38 UTC
Created attachment 171394 [details]
Proposed patch (since 416324 revision) without regenerated patches

Hello Torsten Zuehlsdorff.

(In reply to comment #7)
> Since the patches did not change at all, can you please provide a diff
> without them?
I can, but these patches was regenerated with `make makepatch` command to fix portlint warnings, like in following kind of changes: ports r416708, ports r416584, ports r416495, etc.
Comment 9 Torsten Zuehlsdorff freebsd_committer 2016-06-14 07:16:56 UTC
Hello,

since i'm new to the ports-team i asked my mentors how to handle the patches. Conclusion: regeneration of the patches for petting portlint is just fine. No need to change the patch. I will process them as they are! 

Thanks,
Torsten
Comment 10 lightside 2016-06-14 07:40:07 UTC
Comment on attachment 171394 [details]
Proposed patch (since 416324 revision) without regenerated patches

(In reply to comment #9)
> Conclusion: regeneration of the patches for petting portlint is just fine.
> No need to change the patch. I will process them as they are!
Ok, thanks.
Comment 11 commit-hook freebsd_committer 2016-06-17 08:21:35 UTC
A commit references this bug:

Author: tz
Date: Fri Jun 17 08:21:17 UTC 2016
New revision: 417000
URL: https://svnweb.freebsd.org/changeset/ports/417000

Log:
  games/imaze: unbreak and modernize port

  This includes:
  - Bump PORTREVISION
  - Unbreak fetch
  - Remove TUCOWS from MASTER_SITES
  - Add ATHENA option and set it by default, instead of XVIEW
  - Convert GUI's options from RADIO to SINGLE
  - Switch to options helpers
  - Add MOTIFLIB define with proper value to fix linkage
  - Add xmu to USE_XORG
  - Regenerate patches

  PR:           210081
  Submitted by: lightside <lightside@gmx.com>
  Approved by:  junovitch (mentor)

Changes:
  head/games/imaze/Makefile
  head/games/imaze/files/patch-source_Makefile.in
  head/games/imaze/files/patch-source_configure
  head/games/imaze/files/patch-source_fbsd_joystick.c
  head/games/imaze/files/patch-source_voxware_audio.c
Comment 12 Torsten Zuehlsdorff freebsd_committer 2016-06-17 08:22:35 UTC
Committed, thanks! :)

As sidenote: i also removed TUCOW from the master-sites, since the source was not fetchable from it.